Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieFolderIndexService

    java.lang.Object
      oracle.ifs.server.FolderIndexService
          oracle.ifs.server.TieFolderIndexService

All Implemented Interfaces:
  SubService

    public class TieFolderIndexService

extends FolderIndexService

TieFolderIndexService allows the Oracle-defined behavior of the FolderIndexService class to be extended or overridden.

See Also:
  `FolderIndexService`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.FolderIndexService
`DEFERRED_UPDATE_SEQ_NAME, DEFERRED_UPDATE_TABLE_NAME, FOLDER_TABLE_NAME, FPR_TABLE_NAME, m_CreationDeferred, m_FolderIndexPropertyBundleClassId, m_FolderIndexPropertyBundleId, m_MaxLevel, m_Service, m_UpdateMode, m_UseExistsClause, MAP_INDEX_LEFT, MAP_INDEX_RIGHT, MAP_LEVEL_MAIN, MAP_TABLE_NAME, PARAM_TABLE_NAME, PARAMETER_KEY_MAP_CREATION_DEFERRED, PARAMETER_KEY_MAP_UPDATE_MODE, PARAMETER_KEY_MAXLEVEL, PARAMETER_KEY_PARTIALLY_CREATED, PARAMETER_VALUE_MAP_UPDATE_MODE_ASYNC, PARAMETER_VALUE_MAP_UPDATE_MODE_NONE, PARAMETER_VALUE_MAP_UPDATE_MODE_SYNC, REL_TABLE_NAME, STATEMENT_CHECK_AT_LEVEL, STATEMENT_COUNT_OF_DIRECT_CHILDREN, STATEMENT_CYCLE_CHECK, STATEMENT_DELETE_ALL_BY_LEFT, STATEMENT_DELETE_BY_ROWID, STATEMENT_DELETE_DEFERRED_UPDATE_ROW, STATEMENT_DELETE_SELF_ROW, STATEMENT_FOLDERS_WITH_MANY_PARENTS, STATEMENT_GET_DIRECT_PARENTS, STATEMENT_INSERT_DEFERRED_UPDATE_ROW, STATEMENT_INSERT_MAP_ROWS, STATEMENT_INSERT_SELF_ROW, STATEMENT_LOCK_PARAMETER, STATEMENT_PROMOTE_ADD_DESCENDANTS, STATEMENT_PROMOTE_ANCESTORS, STATEMENT_PROMOTE_DESCENDANTS, STATEMENT_SELECT_DEFERRED_UPDATE_ROWS, STATEMENT_SELECT_PARAMETER, STATEMENT_SELECT_ROWID, STATEMENT_SELECT_ROWS_FOR_DELETE, STATEMENT_SHOW_MAP, STATEMENT_UPDATE_SELF_ROW`

Constructor Summary
`protected` | `TieFolderIndexService(S_LibraryService service)` Constructs a TieFolderIndexService.

Method Summary

Methods inherited from class oracle.ifs.server.FolderIndexService
`addToFolder, addToFolderNow, applyDeferredUpdate, breakCycle, changeUpdateMode, completeIndexCreation, constructPreparedStatement, createDeferredUpdate, createInitialDeferredEntries, createInitialSelfRows, createMapSelfRow, deferOperation, deleteDeferredUpdate, deleteMapParameterRow, deleteMapSelfRow, determineMapLevel, dispose, getDirectParents, getFolderIndexLock, getFolderIndexPropertyBundleClassId, getFolderIndexPropertyBundleId, getFoldersNeedingPromotion, getFoldersWithParentCountAboveThreshold, getFrqClause, getFrqExistsClause, getFrqExistsClause, getFrqInClause, getFrqInClause, getMapParameterRow, getMaxLevel, getMaxLevel, getMaxLevel, getPreparedStatement, getUpdateMode, init, initializeTables, insertMapParameterRow, insertReferences, isChildCountAboveThreshold, isCreationDeferred, isCreationDeferred, isCycleCheckViolation, isFolderAtMaplevel, isIndexPartiallyCreated, isValidLevel, postEvent, promoteFolder, promoteFolder, promoteFolderNow, promoteFolderOneLevel, promoteSingleFolderOneLevel, registerNewFolder, registerNewFolder, registerNewFolderNow, removeFromFolder, removeFromFolderNow, removeReferences, resetFolderIndex, selectDeferredUpdates, setMaxLevel, setUpdateMode, truncateTables, unregisterFreedFolder, unregisterFreedFolderNow, updateMapSelfRow, verifyValidLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieFolderIndexService

    protected TieFolderIndexService(S_LibraryService service)
                             throws IfsException

  Constructs a TieFolderIndexService.

  Parameters:
    `service` - the requesting library service
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD